Package org.eclipse.zest.layouts.algorithms

# Class CompositeLayoutAlgorithm

java.lang.Object
org.eclipse.zest.layouts.algorithms.CompositeLayoutAlgorithm

All Implemented Interfaces:
  `LayoutAlgorithm`

public class CompositeLayoutAlgorithm extends Object implements LayoutAlgorithm

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CompositeLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `CompositeLayoutAlgorithm` instead.

## Constructor Summary

Constructors
Constructor
Description
`CompositeLayoutAlgorithm(int style, LayoutAlgorithm[] layoutAlgorithms)`
Deprecated.
Since Zest 2.0, use `CompositeLayoutAlgorithm(LayoutAlgorithm[])`
`CompositeLayoutAlgorithm(LayoutAlgorithm[] algorithms)`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyLayout(boolean clean)`
Makes this algorithm perform layout computation and apply it to its context.
`void`
`setLayoutContext(LayoutContext context)`
Sets the layout context for this algorithm.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompositeLayoutAlgorithm

public CompositeLayoutAlgorithm(LayoutAlgorithm[] algorithms)

### CompositeLayoutAlgorithm

@Deprecated public CompositeLayoutAlgorithm(int style, LayoutAlgorithm[] layoutAlgorithms)
Deprecated.
Since Zest 2.0, use `CompositeLayoutAlgorithm(LayoutAlgorithm[])`

## Method Details

### applyLayout

public void applyLayout(boolean clean)
Description copied from interface: `LayoutAlgorithm`
Makes this algorithm perform layout computation and apply it to its context.

Specified by:
  `applyLayout` in interface `LayoutAlgorithm`
Parameters:
  `clean` - if true the receiver should assume that the layout context has changed significantly and recompute the whole layout even if it keeps track of changes with listeners. False can be used after dynamic layout in a context is turned back on so that layout algorithm working in background can apply accumulated changes. Static layout algorithm can ignore this call entirely if clean is false.

### setLayoutContext

public void setLayoutContext(LayoutContext context)
Description copied from interface: `LayoutAlgorithm`
Sets the layout context for this algorithm. The receiver will unregister from its previous layout context and register to the new one (registration means for example adding listeners). After a call to this method, the receiving algorithm can compute and cache internal data related to given context and perform an initial layout.

Specified by:
  `setLayoutContext` in interface `LayoutAlgorithm`
Parameters:
  `context` - a new layout context or null if this algorithm should not perform any layout